Page MenuHomePhabricator

Refine PayPal EC donation itemization
Closed, ResolvedPublic1 Story Points

Description

The PayPal Express Checkout flow displays detailed itemization of your donation (or payment) amount. We repeat the same two donation messages, but should introduce new strings which add information such as "one-time donation, contrib_tracking number" etc.

Event Timeline

awight created this task.Jun 13 2016, 5:40 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 13 2016, 5:40 PM
DStrine triaged this task as Normal priority.Jun 14 2016, 8:16 PM

The credit card statement is awkward when using that as a funds source, not sure if we can make it any better:

PAYPAL INST XFER WIKIMEDIAFO

awight added a comment.Mar 2 2017, 1:01 AM

This is looking good for one-time donations:

awight added a comment.Mar 2 2017, 1:07 AM

The description string is not being translated correctly:

This is working now. Looks like the EC flow will respect the paypal user's language settings for the language of the basic form, and they'll display the itemized list in whatever language we send.

XenoRyet closed this task as Resolved.May 10 2017, 10:04 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM
Ejegg set the point value for this task to 1.Sep 12 2017, 5:04 PM